#!/usr/bin/python

import sys
sys.path.append("/usr/share/rhn")
from up2date_client import up2date

__rhnexport__ = [
    'update',
    'get']

argVerbose = 0

def update(configdict):
    """Invoke this to change the ondisk configuration of up2date"""
    if argVerbose > 1:
        print "called update_up2date_config"

    if type(configdict) != type({}):
        return (13, "Invalid arguments passed to function", {})

    unknownparams = []
    for param in configdict.keys():
        if up2date.cfg.has_key(param):
            up2date.cfg.writeEntry(param,configdict[param])
        else:
            unknownparams.append(param)

    if len(unknownparams):
        return unknownparams

    up2date.cfg.save()

    return (0, "config updated", {})

def get():
    """Reterieve the current configuration of up2date"""
    if argVerbose > 1:
        print "called get_up2date_config"

    ret = up2date.cfg.readValues()

    if type(ret) == type({}):
        return (0, "configuration retrived", {'data':ret})
